RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore Class Reference

## Public Member Functions
| RobotScore (Robot _robot, float _score)
Robot | getRobot ()
long | getRobotID ()
String | getRobotName ()
long | getDisciplindeID ()
String | getDisciplindeName ()
ECategory | getCategory ()
long | getTeamID ()
String | getTeamName ()
float | getScore ()

## Detailed Description

Uklada celkove dosazene skore robota v soutezi

## Constructor & Destructor Documentation

## ◆ RobotScore()

com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.RobotScore | ( | Robot | _robot,
|  | float | _score
| ) |  |
| inline

Uklada celkove dosazene skore robota v soutezi

Parameters

  _robot | Robot
  _score | Celkove score

## Member Function Documentation

## ◆ getCategory()

ECategory com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getCategory | ( |  | ) |
| inline

Navrati nazev kategorie, ve ktere robot soutezi

Returns
  Soutezni kategorie

## ◆ getDisciplindeID()

long com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getDisciplindeID | ( |  | ) |
| inline

Navrati ID discipliny, ve ktere robot soutezi

Returns
  ID discipliny

## ◆ getDisciplindeName()

String com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getDisciplindeName | ( |  | ) |
| inline

Navrati nazev discipliny, ve ktere robot soutezi

Returns
  Nazev discipliny

## ◆ getRobot()

Robot com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getRobot | ( |  | ) |
| inline

Navrati robota

Returns
  Robot

## ◆ getRobotID()

long com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getRobotID | ( |  | ) |
| inline

Navrati ID robota

Returns
  Robot

## ◆ getRobotName()

String com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getRobotName | ( |  | ) |
| inline

Navrati jmeno robota

Returns
  Jmeno robota

## ◆ getScore()

float com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getScore | ( |  | ) |
| inline

Navrati celkove skore

Returns
  Celkove skore

## ◆ getTeamID()

long com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getTeamID | ( |  | ) |
| inline

Navrati id tymu, ktery vlastni robota

Returns
  ID tymu

## ◆ getTeamName()

String com.robogames.RoboCupMS.Module.CompetitionEvaluation.Bussiness.Model.RobotScore.getTeamName | ( |  | ) |
| inline

Navrati jmeno tymu, ktery vlastni robota

Returns
  Jmeno tymu

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Module/CompetitionEvaluation/Bussiness/Model/RobotScore.java